__version_info__ = {
    'major': 1,
    'minor': 3,
    'micro': 0,
}

from mlair.run_modules import RunEnvironment, ExperimentSetup, PreProcessing, ModelSetup, Training, PostProcessing
from mlair.workflows import DefaultWorkflow, Workflow
from mlair.run_script import run
from mlair.model_modules import AbstractModelClass


def get_version():
    assert set(__version_info__.keys()) >= {"major", "minor"}
    vers = [f"{__version_info__['major']}.{__version_info__['minor']}"]
    if "micro" in __version_info__:  # pragma: no branch
        vers.append(f".{__version_info__['micro']}")
    return "".join(vers)


__version__ = get_version()
__author__ = "Lukas H. Leufen, Felix Kleinert"
__email__ = "l.leufen@fz-juelich.de",
